Update credential
PATCH
Rename, retire, or rotate the secret (send secret to re-encrypt a new value).
Access: workspace_admin · API key credentials:write
api-keyheader
AuthorizationBearer <sk_waylo_<lookup><secret><checksum>>id*stringapplication/json- body
name?stringLength
length <= 100headerName?stringMatch
^[\w!#$%&'*+.^`|~-]+$Length
length <= 100secret?stringLength
length <= 8192active?booleanUpdated
application/json- response
id*stringworkspaceId*stringname*stringheaderName*stringactive*booleanusage*createdByUserId*|Format
uuidcreatedByUserName*string|nullupdatedByUserId*|Format
uuidupdatedByUserName*string|nullcreatedAt*stringFormat
date-timeupdatedAt*stringFormat
date-timecurl -X PATCH 'https://api.poc.app.waylovoice.ai/credentials/string' \ -H 'Authorization: Bearer sk_waylo_...' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "string", "workspaceId": "string", "name": "string", "headerName": "string", "active": true, "usage": { "tools": 0, "destinations": 0 }, "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620", "createdByUserName": "string", "updatedByUserId": "b38eaad7-8efa-49e7-b0aa-619916a3821e", "updatedByUserName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}